import { A as Api } from './Api-BulOmiMS.js';
import './Plaid-DxSkT8pY.js';
import './Pagination-CLHwhyvu.js';
import './Business-BcNb9bVO.js';

const api = Api();
class BusinessService {
    async fetchBusiness(businessId, authToken) {
        const endpoint = `entities/business/${businessId}`;
        return api.get({ endpoint, authToken });
    }
    async patchBusiness(authToken, businessId, payload) {
        const endpoint = `entities/business/${businessId}`;
        const body = payload;
        return api.patch({ endpoint, body, authToken });
    }
}
class IdentityService {
    async fetchIdentity(identityId, authToken) {
        const endpoint = `entities/identity/${identityId}`;
        return api.get({ endpoint, authToken });
    }
    async patchIdentity(authToken, identityId, payload) {
        const endpoint = `entities/identity/${identityId}`;
        const body = payload;
        return api.patch({ endpoint, body, authToken });
    }
    async postIdentity(authToken, payload) {
        const endpoint = `entities/identity`;
        const body = payload;
        return api.post({ endpoint, body, authToken });
    }
}
class BusinessBankAccountService {
    async postBankAccount(authToken, payload) {
        const endpoint = `entities/bank_accounts`;
        const body = payload;
        return api.post({ endpoint, body, authToken });
    }
}
class DocumentRecordService {
    async postDocumentRecord(authToken, payload) {
        const endpoint = `entities/document`;
        const body = payload;
        return api.post({ endpoint, body, authToken });
    }
}

export { BusinessService as B, DocumentRecordService as D, IdentityService as I, BusinessBankAccountService as a };
